#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.7.0.0
id: jose-0.7.0.0-AYuOXTP2Z2sKHChGLmtCRm
key: jose-0.7.0.0-AYuOXTP2Z2sKHChGLmtCRm
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
author: Fraser Tweedale
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
abi: 18dc14f2fa48da4a0a3ff780ee2e800f
exposed: True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
import-dirs: /usr/lib/ghc-8.4.2/site-local/jose-0.7.0.0
library-dirs: /usr/lib/ghc-8.4.2/site-local/jose-0.7.0.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/jose-0.7.0.0
hs-libraries: HSjose-0.7.0.0-AYuOXTP2Z2sKHChGLmtCRm
depends:
    base-4.11.1.0 attoparsec-0.13.2.2-KnkUxVEson3AzYFappLt2D
    base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37
    concise-0.1.0.1-Azt0ZQCu4go3GE92mamG7x containers-0.5.11.0
    cryptonite-0.25-90uxV0bWEYmfC6QouwM7s
    lens-4.16.1-Lu0iIErcrywL3MKnmv6KhR
    memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi
    monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ mtl-2.2.2
    template-haskell-2.13.0.0 safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur
    aeson-1.3.1.1-83bGKezNRMtKwGszAQd3fI
    unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884
    bytestring-0.10.8.2 text-1.2.3.0 time-1.8.0.2
    network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9
    QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6
    quickcheck-instances-0.3.18-99t69GH5QZzDI6Nq3WlMbr
    x509-1.7.3-DWsqU70q16FG1xCk83jxwK
    vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             attoparsec-0.13.2.2-KnkUxVEson3AzYFappLt2D=bb3660ce70d29d644cde35d789165619
             base64-bytestring-1.0.0.1-4OCIe2BZn8jKI191JIXI37=7722d2d1f9adcb92b317b3a43d084a70
             concise-0.1.0.1-Azt0ZQCu4go3GE92mamG7x=5dbb3aa9922c3bf14f2266e29708f1fd
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             cryptonite-0.25-90uxV0bWEYmfC6QouwM7s=fe88b1a2ffec9ea7c1970408b9b1825d
             lens-4.16.1-Lu0iIErcrywL3MKnmv6KhR=905a1b476a76c47c50afaa3dc0b6f349
             memory-0.14.16-Hs1NDoAVjuC3IQmOlFTQpi=ed2d5adcedeb6833cc2a392fb853e830
             monad-time-0.3.1.0-EBUQiIAH86L3Y0scTTbaUJ=ea3ac8b32ffa8bed20d95f23523206ed
             mtl-2.2.2=a7bec7c72de63625528e8aa4479db2c8
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
             safe-0.3.17-HEmZRpXGD3s2ywM3rHJ1ur=d2ef3bd64cc0add20d4d6b5dc73939f8
             aeson-1.3.1.1-83bGKezNRMtKwGszAQd3fI=0723bd416c7eb9913ef3ae16b346bf30
             unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884=c76b79dc8a56ff4425c082d0052b04f4
             bytestring-0.10.8.2=c1695cedf0cebf0c12d34c90fb94a65f
             text-1.2.3.0=5654b56910ce698015ec900075c28f62
             time-1.8.0.2=f5b6d28c2b89a17d60f5dfeda767abd0
             network-uri-2.6.1.0-AstEwZoXrlUJQq4VkxaVo9=d49fd54c7cc8ca7cdc7f65925221d670
             QuickCheck-2.11.3-4bkq8vcRuH33iMSCEtmKx6=329f1c9cae18d78e8febe9289607fdb9
             quickcheck-instances-0.3.18-99t69GH5QZzDI6Nq3WlMbr=afd0c2a31e459625a9db02032afb4e15
             x509-1.7.3-DWsqU70q16FG1xCk83jxwK=84c24803c83c93766332a6923316679d
             vector-0.12.0.1-4awQG9XUvVEBfJgKGHBhOb=6eab66b6328cb1f1f60a88d42282d4d0
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

